## org.eclipse.m2m.atl.debug.core.adwp
Class RealValue

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.adwp.Value
          org.eclipse.m2m.atl.debug.core.adwp.RealValue

    public final class RealValue

extends Value

The Real implementation of the debugger value.

Method Summary
`double` `getValue()`
`java.lang.String` `toString()`
`static RealValue` `valueOf(double realValue)` Converts a double into a `RealValue`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getValue

    public double getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### valueOf

    public static RealValue valueOf(double realValue)

  Converts a double into a `RealValue`.

  Parameters:
    `realValue` - the double
  Returns:
    the `RealValue`

Copyright 2007 IBM Corporation and others. All Rights Reserved.